﻿<style type="text/css">
    .btn-estilo {
        display: inline-block;
        padding: 10px 20px;
        font-size: 16px;
        text-align: center;
        text-decoration: none;
        cursor: pointer;
        border: 2px solid #3498db;
        border-radius: 5px;
        color: #3498db;
        background-color: #ffffff;
        transition: background-color 0.3s ease, color 0.3s ease;
    }

        .btn-estilo:hover {
            background-color: #3498db;
            color: #ffffff;
        }

    .input-estilo {
        width: 200px;
        padding: 10px;
        margin-bottom: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-sizing: border-box;
        font-size: 14px;
    }

        .input-estilo:focus {
            border-color: #3498db;
            box-shadow: 0 0 5px rgba(52, 152, 219, 0.5);
        }

    .label-estilo {
        font-size: 16px;
        color: #333;
        margin-bottom: 5px;
        display: block;
    }
</style>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <title> Login Page</title>
</head>
<body>
    <form runat="server">
        <div class="container mt-5">
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <div class="card" style="text-align: center;">
                        <div class="card-header">
                            <h2> Iniciar sesión</h2>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="label-estilo" for="txtUsername"> Nombre de usuario:</label>
                                <input class="input-estilo" type="email" ID="txtUsername" runat="server" CssClass="form-control">
                            </div>
                            <div class="form-group">
                                <label class="label-estilo" for="txtPassword"> Contraseña:</label>
                                <input class="input-estilo" type="password" ID="txtPassword" runat="server" TextMode="Password" CssClass="form-control">
                            </div>
                            <div class="form-group text-center">
                                <br />
                                <button class="btn-estilo" ID="btnLogin" runat="server" OnClick="Validar()" CssClass="btn btn-primary" ValidationGroup="loginGroup"> Validar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <script type="text/javascript">

        function Validar() {
            var username = document.getElementById("txtUsername").value;
            var password = document.getElementById("txtPassword").value;
            if (username === '' && password === '') {
                alert("Por favor, complete ambos campos.", 'error');
                return false;
            }

            else if (password === '') {
                alert("Por favor, complete la contraseña.", 'error');
                return false;
            }

            else if (username === '') {
                alert("Por favor, complete el usuario.", 'error');
                return false;
            }
            $.ajax({
                type: "GET",
                url: '/Home/Login?user=' + username + '&pass=' + password,
                data: param = "",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    alert(data);
                },
                error: function (data) {
                    alert("Hubo un problema al cambiar de estado el dato.");
                }
            })
            return true;
        }
    </script>
</body>
</html>
